<?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
<web-app xmlns="http://java.sun.com/xml/ns/j2ee" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="2.4" xsi:schemaLocation="http://java.sun.com/xml/ns/j2ee http://java.sun.com/xml/ns/j2ee/web-app_2_4.xsd">

    
    <display-name>msop_pvo_mult_web_enrutadorv9_05</display-name>
    
    <description>Roo generated msop_pvo_mult_web_enrutadorv9_05 application</description>

    
    <!-- Enable escaping of form submission contents -->
    <context-param>
        <param-name>defaultHtmlEscape</param-name>
        <param-value>true</param-value>
    </context-param>
    
    <context-param>
        <param-name>contextConfigLocation</param-name>
        <param-value>classpath*:META-INF/spring/applicationContext*.xml</param-value>
    </context-param>
    
    <filter>
        <filter-name>CharacterEncodingFilter</filter-name>
        <filter-class>org.springframework.web.filter.CharacterEncodingFilter</filter-class>
        <init-param>
            <param-name>encoding</param-name>
            <param-value>UTF-8</param-value>
        </init-param>
        <init-param>
            <param-name>forceEncoding</param-name>
            <param-value>true</param-value>
        </init-param>
    </filter>
    
    
    
    <filter>
        <filter-name>HttpMethodFilter</filter-name>
        <filter-class>org.springframework.web.filter.HiddenHttpMethodFilter</filter-class>
    </filter>
    
    
    <!-- Filtro de limpieza de pila de errores -->
    <filter>
        <filter-name>FiltroLimpiezaPila</filter-name>
        <filter-class>com.bbva.jee.arq.spring.core.gce.FiltroLimpiezaPila</filter-class>
    </filter>
    
    <!-- ANTES DEL FILTRO springSecurityFilterChain -->
    <filter>
        <filter-name>ArqSpringFilter</filter-name>
        <filter-class>com.bbva.jee.arq.spring.core.filtro.ArqSpringFiltroInicio</filter-class>
        <init-param>
            <param-name>patronesOmitidos</param-name>
            <param-value>resources</param-value>
        </init-param>
    </filter>
    
    <!-- DESPUES DEL FILTRO ArqSpringFilter -->
    <filter>
        <filter-name>springSecurityFilterChain</filter-name>
        <filter-class>org.springframework.web.filter.DelegatingFilterProxy</filter-class>
    </filter>
    <filter-mapping>
        <filter-name>CharacterEncodingFilter</filter-name>
        <url-pattern>/*</url-pattern>
    </filter-mapping>
    
    <filter-mapping>
        <filter-name>HttpMethodFilter</filter-name>
        <url-pattern>/*</url-pattern>
    </filter-mapping>
    
    <!-- Creates the Spring Container shared by all Servlets and Filters -->
    
    
    <filter-mapping>
        <filter-name>FiltroLimpiezaPila</filter-name>
        <url-pattern>/*</url-pattern>
    </filter-mapping>
    
    <filter-mapping>
        <filter-name>ArqSpringFilter</filter-name>
        <url-pattern>/*</url-pattern>
    </filter-mapping>
    
    <filter-mapping>
        <filter-name>springSecurityFilterChain</filter-name>
        <url-pattern>/*</url-pattern>
    </filter-mapping>
    <listener>
        <listener-class>com.bbva.jee.arq.spring.core.util.ArqSpringContextLoaderListener</listener-class>
    </listener>
    
    <!-- Handles Spring requests -->
    
    
    <!-- LISTENER DE GESTION DE SESIONES -->
    <listener>
        <listener-class>com.bbva.jee.arq.spring.core.contexto.ArqSpringSessionListener</listener-class>
    </listener>
    <servlet>
        <servlet-name>msop_pvo_mult_web_enrutadorv9</servlet-name>
        <servlet-class>org.springframework.web.servlet.DispatcherServlet</servlet-class>
        <init-param>
            <param-name>contextConfigLocation</param-name>
            <param-value>/WEB-INF/spring/webmvc-config.xml</param-value>
        </init-param>
        <load-on-startup>1</load-on-startup>
    </servlet>
    
    <servlet-mapping>
        <servlet-name>msop_pvo_mult_web_enrutadorv9</servlet-name>
        <url-pattern>/</url-pattern>
    </servlet-mapping>
    
    <session-config>
        <session-timeout>10</session-timeout>
    </session-config>
    
    <error-page>
        <exception-type>java.lang.Exception</exception-type>
        <location>/uncaughtException</location>
    </error-page>
    
    <error-page>
        <error-code>404</error-code>
        <location>/resourceNotFound</location>
    </error-page>
<listener>
        <listener-class>org.springframework.web.context.request.RequestContextListener</listener-class>
    </listener>
    <jsp-config>
        <taglib>
            <taglib-uri>http://ArqSpring/controlTareas</taglib-uri>
            <taglib-location>/WEB-INF/tlds/controlTareas.tld</taglib-location>
        </taglib>
    </jsp-config>
<servlet>
        <servlet-name>CXFServlet</servlet-name>
        <servlet-class>org.apache.cxf.transport.servlet.CXFServlet</servlet-class>
        <load-on-startup>1</load-on-startup>
    </servlet>
    <servlet>
        <servlet-name>remoting</servlet-name>
        <servlet-class>com.bbva.jee.arq.spring.core.contexto.ArqSpringDispatcherServlet</servlet-class>
        <load-on-startup>2</load-on-startup>
    </servlet>
    <servlet-mapping>
        <servlet-name>CXFServlet</servlet-name>
        <url-pattern>/services/*</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>remoting</servlet-name>
        <url-pattern>/remoting/*</url-pattern>
    </servlet-mapping>
	
		<servlet>
			<display-name>inicioParams</display-name>
			<servlet-name>inicioParams</servlet-name>
			<servlet-class>com.kranon.servlet.ServletInicioParams</servlet-class>
		</servlet>
		<servlet>
			<display-name>getConfigServicio</display-name>
			<servlet-name>getConfigServicio</servlet-name>
			<servlet-class>com.kranon.servlet.ServletGetConfigServicio</servlet-class>
		</servlet>
		<servlet>
			<display-name>gestionInicioLlamada</display-name>
			<servlet-name>gestionInicioLlamada</servlet-name>
			<servlet-class>com.kranon.servlet.ServletGestionInicioLlamada</servlet-class>
		</servlet>
		<servlet>
			<display-name>subGetDatosUUI</display-name>
			<servlet-name>subGetDatosUUI</servlet-name>
			<servlet-class>com.kranon.servlet.sub.ServletSubGetDatosUUI</servlet-class>
		</servlet>
		<servlet>
			<display-name>subGetDatosCti</display-name>
			<servlet-name>subGetDatosCti</servlet-name>
			<servlet-class>com.kranon.servlet.sub.ServletSubGetDatosCTI</servlet-class>
		</servlet>
		<servlet>
			<display-name>gestionPrincipal</display-name>
			<servlet-name>gestionPrincipal</servlet-name>
			<servlet-class>com.kranon.servlet.ServletGestionPrincipal</servlet-class>
		</servlet>
		<servlet>
			<display-name>ejecucionControlador</display-name>
			<servlet-name>ejecucionControlador</servlet-name>
			<servlet-class>com.kranon.servlet.ServletEjecucionControlador</servlet-class>
		</servlet>
		<servlet>
			<display-name>gestionSalida</display-name>
			<servlet-name>gestionSalida</servlet-name>
			<servlet-class>com.kranon.servlet.ServletGestionSalida</servlet-class>
		</servlet>
		<servlet>
			<display-name>gestionTransferenciaAsesor</display-name>
			<servlet-name>gestionTransferenciaAsesor</servlet-name>
			<servlet-class>com.kranon.servlet.ServletGestionTransferenciaAsesor</servlet-class>
		</servlet>
		<servlet>
			<display-name>subSetDatosUUI</display-name>
			<servlet-name>subSetDatosUUI</servlet-name>
			<servlet-class>com.kranon.servlet.sub.ServletSubSetDatosUUI</servlet-class>
		</servlet>
		<servlet>
			<display-name>subSetDatosCti</display-name>
			<servlet-name>subSetDatosCti</servlet-name>
			<servlet-class>com.kranon.servlet.sub.ServletSubSetDatosCTI</servlet-class>
		</servlet>
		<servlet>
			<display-name>subGestionExcepciones</display-name>
			<servlet-name>subGestionExcepciones</servlet-name>
			<servlet-class>com.kranon.servlet.sub.ServletSubGestionExcepciones</servlet-class>
		</servlet>
		<servlet>
			<display-name>gestionIntegracionesFinLlamada</display-name>
			<servlet-name>gestionIntegracionesFinLlamada</servlet-name>
			<servlet-class>com.kranon.servlet.ServletGestionIntegracionesFinLlamada</servlet-class>
		</servlet>
		<servlet>
			<display-name>gestionFinLlamada</display-name>
			<servlet-name>gestionFinLlamada</servlet-name>
			<servlet-class>com.kranon.servlet.ServletGestionFinLlamada</servlet-class>
		</servlet>
		<servlet>
			<display-name>subTerminarLlamadaCti</display-name>
			<servlet-name>subTerminarLlamadaCti</servlet-name>
			<servlet-class>com.kranon.servlet.sub.ServletSubTerminarLlamadaCTI</servlet-class>
		</servlet>
		<servlet>
			<display-name>subGeneraTsecPublico</display-name>
			<servlet-name>subGeneraTsecPublico</servlet-name>
			<servlet-class>com.kranon.servlet.sub.ServletSubGenerarTsecPublico</servlet-class>
		</servlet>
		<servlet>
			<display-name>subIntegracionCuadroMando</display-name>
			<servlet-name>subIntegracionCuadroMando</servlet-name>
			<servlet-class>com.kranon.servlet.sub.ServletSubIntegracionCuadroMando</servlet-class>
		</servlet>
		<servlet>
			<display-name>subTracearFinLlamada</display-name>
			<servlet-name>subTracearFinLlamada</servlet-name>
			<servlet-class>com.kranon.servlet.sub.ServletSubTracearFinLlamada</servlet-class>
		</servlet>
		
		<servlet>
			<display-name>subEjecucionEncuesta</display-name>
			<servlet-name>subEjecucionEncuesta</servlet-name>
			<servlet-class>com.kranon.servlet.sub.ServletSubEjecucionEncuesta</servlet-class>
		</servlet>
		<servlet>
			<display-name>subGestionSalidaEncuesta</display-name>
			<servlet-name>subGestionSalidaEncuesta</servlet-name>
			<servlet-class>com.kranon.servlet.sub.ServletSubGestionSalidaEncuesta</servlet-class>
		</servlet>
		

		<servlet-mapping>
			<servlet-name>inicioParams</servlet-name>
			<url-pattern>/inicioParams</url-pattern>
		</servlet-mapping>
		<servlet-mapping>
			<servlet-name>getConfigServicio</servlet-name>
			<url-pattern>/getConfigServicio</url-pattern>
		</servlet-mapping>
		<servlet-mapping>
			<servlet-name>gestionInicioLlamada</servlet-name>
			<url-pattern>/gestionInicioLlamada</url-pattern>
		</servlet-mapping>
		<servlet-mapping>
			<servlet-name>subGetDatosUUI</servlet-name>
			<url-pattern>/subGetDatosUUI</url-pattern>
		</servlet-mapping>
		<servlet-mapping>
			<servlet-name>subGetDatosCti</servlet-name>
			<url-pattern>/subGetDatosCti</url-pattern>
		</servlet-mapping>
		<servlet-mapping>
			<servlet-name>gestionPrincipal</servlet-name>
			<url-pattern>/gestionPrincipal</url-pattern>
		</servlet-mapping>
		<servlet-mapping>
			<servlet-name>ejecucionControlador</servlet-name>
			<url-pattern>/ejecucionControlador</url-pattern>
		</servlet-mapping>
		<servlet-mapping>
			<servlet-name>gestionSalida</servlet-name>
			<url-pattern>/gestionSalida</url-pattern>
		</servlet-mapping>
		<servlet-mapping>
			<servlet-name>gestionTransferenciaAsesor</servlet-name>
			<url-pattern>/gestionTransferenciaAsesor</url-pattern>
		</servlet-mapping>
		<servlet-mapping>
			<servlet-name>subSetDatosUUI</servlet-name>
			<url-pattern>/subSetDatosUUI</url-pattern>
		</servlet-mapping>
		<servlet-mapping>
			<servlet-name>subSetDatosCti</servlet-name>
			<url-pattern>/subSetDatosCti</url-pattern>
		</servlet-mapping>
		<servlet-mapping>
			<servlet-name>subGestionExcepciones</servlet-name>
			<url-pattern>/subGestionExcepciones</url-pattern>
		</servlet-mapping>
		<servlet-mapping>
			<servlet-name>gestionIntegracionesFinLlamada</servlet-name>
			<url-pattern>/gestionIntegracionesFinLlamada</url-pattern>
		</servlet-mapping>
		<servlet-mapping>
			<servlet-name>gestionFinLlamada</servlet-name>
			<url-pattern>/gestionFinLlamada</url-pattern>
		</servlet-mapping>
		<servlet-mapping>
			<servlet-name>subTerminarLlamadaCti</servlet-name>
			<url-pattern>/subTerminarLlamadaCti</url-pattern>
		</servlet-mapping>
		<servlet-mapping>
			<servlet-name>subGeneraTsecPublico</servlet-name>
			<url-pattern>/subGeneraTsecPublico</url-pattern>
		</servlet-mapping>
		<servlet-mapping>
			<servlet-name>subIntegracionCuadroMando</servlet-name>
			<url-pattern>/subIntegracionCuadroMando</url-pattern>
		</servlet-mapping>
		<servlet-mapping>
			<servlet-name>subTracearFinLlamada</servlet-name>
			<url-pattern>/subTracearFinLlamada</url-pattern>
		</servlet-mapping>	
		<servlet-mapping>
			<servlet-name>subEjecucionEncuesta</servlet-name>
			<url-pattern>/subEjecucionEncuesta</url-pattern>
		</servlet-mapping>
		<servlet-mapping>
			<servlet-name>subGestionSalidaEncuesta</servlet-name>
			<url-pattern>/subGestionSalidaEncuesta</url-pattern>
		</servlet-mapping>

</web-app>
